torsocks (2.5.0-3) unstable; urgency=medium

  * update install files with correct environment variable, too.

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Jan 2026 22:04:27 +0100

torsocks (2.5.0-2) unstable; urgency=medium

  * Use correct environment variable (Closes: #1126559).

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Jan 2026 17:01:10 +0100

torsocks (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop unnecessary dependency on dh-autoreconf.
  * Move upstream name and contact to copyright file.
  * Update link from metadata file to dep12.
  * Make dependency of torsocks -> libtorsocks arch:all compatible.
  * Add patch to make torsocks M-A:foreign and Arch:all (Closes: #902792).
  * Use Pre-Depends for libtorsocks.
  * Do not ship <tripplet>-torsocks scripts anymore, instead we use ld.so
    feature to load the correct library.
  * Remove upstream applied patch.
  * Warn user if libtorsocks is not installed for all archs.

 -- Sandro Knauß <hefee@debian.org>  Wed, 09 Apr 2025 19:27:01 +0200

torsocks (2.4.0-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Update watch file to match new gitlab style.
  * Update copyright year for debian/*
  * Ship library in libtorsocks to get it ready for Multi-Arch #902792.
  * d/control:
    - Bump Standards-Version to 4.7.2 (No changes need).
    - Use dh-sequence-bash-completion.
  * d/rules:
    - Use dpkg/architecture.mk to get all DEB_HOST_* vars.
    - Use execute_after to not repeat myself.
    - Use d/not-installed.
  * Ignore lintian warnings about signatures, as we check git tag signatures.

 -- Sandro Knauß <hefee@debian.org>  Wed, 05 Mar 2025 20:30:40 +0100

torsocks (2.4.0-2) unstable; urgency=medium
  * Remove lunar@debian.org from Uploaders (at their request)
  * Add .pc (quilt) to .gitignore
  * Fix FTBFS: C99 compatibility (upstream patch) (Closes: #1066313)
  * removed leftover maintainer scripts after the switch to .maintscript file
  * Fix groff warning on torsocks.8 (forwarded upstream:
    https://gitlab.torproject.org/tpo/core/torsocks/-/issues/40022
  * d/control:
      - declared compliance with policy 4.7.0
      - added Rules-Requires-Root: no
      - removed obsolete Build-depends: dpkg-dev, dh-autoreconf
  * d/copyright: update copyright year for debian/*

 -- Clément Hermann <nodens@debian.org>  Wed, 24 Jul 2024 17:30:52 +0900

torsocks (2.4.0-1) unstable; urgency=medium

  * Update d/watch to get upstream releases from tor's gitlab
  * d/README.source - update upstream url
  * New upstream version 2.4.0 (Closes: 1029048)
  * Remove obsolete patches
  * Switch to my @debian.org address in Uploaders
  * Add debian/upstream/metadata
  * replace manual call to dpkg-maintscript-helper by .maintscript file
  * Switch to my @debian.org address in Uploaders
  * Add debian/upstream/metadata
  * Switch to debhelper-compat Build-Depends and update compat level to 13

 -- Clément Hermann <nodens@debian.org>  Fri, 10 Feb 2023 23:03:51 +0100

torsocks (2.3.0-3) unstable; urgency=medium

  * Team upload

  [ Clément Hermann ]
  * d/control: remove intrigeri from uploaders, add myself

  [ intrigeri ]
  * Use canonical Vcs-Git URL
  * d/copyright: use HTTPS URI for copyright format

 -- intrigeri <intrigeri@debian.org>  Fri, 21 Aug 2020 11:42:12 +0000

torsocks (2.3.0-2) unstable; urgency=medium

  [ intrigeri & Sandro Knauß ]
  * Cherry-pick patch from upstream Git, to fix Totem crashing when run
    under torsocks, by adding support for the getdents and getdents64
    syscalls. (Closes: Tails#16618, which would be severity: important
    in a Debian context.)

  [ Ulrike Uhlig ]
  * Update package description: don't make safety promises that upstream
    prefers not to. (Closes: #870763)

 -- intrigeri <intrigeri@debian.org>  Wed, 03 Apr 2019 18:14:40 +0000

torsocks (2.3.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - update VCS fields.
  * debian/README.source:
    - update instructions.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 27 Nov 2018 13:00:20 +0100

torsocks (2.2.0-2) unstable; urgency=medium

  * Install zsh completion file to /usr/share/zsh/vendor-completions/,
    which is the right place for packages to add functionality to zsh's
    completion system (Closes: #843483).
  * Drop --disable-silent-rules from debian/rules. This is now handled
    by dh directly depending on whether the DH_QUIET environment variable
    is set.
  * Fix-check_addr-to-return-either-0-or-1.patch: new patch, from upstream
    maint-0.2.x branch, to fix a serious bug reported many times upstream
    and to me (privately) since the Stretch release
    (http://bugs.torproject.org/20871).
  * Declare compliance with Standards-Version 4.0.0 (no change required).

 -- intrigeri <intrigeri@debian.org>  Fri, 04 Aug 2017 19:09:04 +0000

torsocks (2.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #805741)
  * gbp.conf: adjust for Debian sid.
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Wed, 19 Oct 2016 20:48:08 +0000

torsocks (2.2.0~rc1-1) experimental; urgency=medium

  * New upstream release (Closes: #811266, #761796).
  * Delete obsolete conffile /etc/bash_completion.d/torsocks on upgrade
    (Closes: #811131).
  * gbp.conf: configure for the experimental/master branch.
  * Refresh exclude_test_requiring_network.patch wrt. upstream switching
    test suite frameworks.
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Thu, 23 Jun 2016 07:32:37 +0000

torsocks (2.1.0-2) unstable; urgency=low

  [ Ximin Luo ]
  * hand over package to pkg-privacy team

  [ intrigeri ]
  * debian/copyright: fix source URL (thanks Lintian).
  * debian/copyright: update upstream copyright years.
  * debian/copyright: update information for debian/*.

 -- intrigeri <intrigeri@debian.org>  Tue, 12 Jan 2016 05:09:36 +0000

torsocks (2.1.0-1) unstable; urgency=low

  * Upload to unstable now that Jessie has been released.
  * New upstream release:
    - Stop denying syscall() and add dangerous ones. (Closes: #770031, #760075)
    - Add AllowOutboundLocalhost. (Closes: #775792)
  * Remove patches included in the new upstream release.
  * Refresh exclude_test_requiring_network.patch.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 02 Jun 2015 09:52:56 +0200

torsocks (2.0.0-4) experimental; urgency=medium

  * Bump debhelper compat level to 9, accordingly bump the versioned
    build-dependency.
  * Don't include buildflags.mk by hand, debhelper v9 does it.
  * Adapt path to multi-arch file location.

 -- intrigeri <intrigeri@debian.org>  Thu, 23 Apr 2015 11:00:01 +0200

torsocks (2.0.0-3) unstable; urgency=medium

  * Fix-use-getsockname-instead-of-getsockopt-to-get-soc.patch:
    new patch, cherry-picked from upstream, that fixes the FTBFS
    kfreebsd-* that was introduced by
    Fix-improve-Unix-socket-passing-detection.patch (Closes: #768140).

 -- intrigeri <intrigeri@debian.org>  Mon, 10 Nov 2014 23:39:19 +0100

torsocks (2.0.0-2) unstable; urgency=medium

  * Fix-improve-Unix-socket-passing-detection.patch: new patch,
    cherry-picked from upstream (Closes: #766306).
  * Amend exclude_test_requiring_network.patch to add test_fd_passing test,
    introduced by the new aforementioned patch, to the list of excluded
    tests: it requires network access.

 -- intrigeri <intrigeri@debian.org>  Tue, 28 Oct 2014 10:41:10 +0100

torsocks (2.0.0-1) unstable; urgency=low

  * New upstream release. The 2.0 rewrite is considered stable.
    (Closes: #684580, #704861, #755458)
  * Put under the umbrella of the Anonymity Tools Debian Maintainers team.
  * Add watch file and upstream signing key.
  * Add debian/README.source.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 22 Aug 2014 23:37:53 +0000

torsocks (2.0.0~rc7-1) experimental; urgency=medium

  * New upstream release.
  * Refresh quilt patch.
  * Use canonical URL in Vcs-Git.

 -- intrigeri <intrigeri@debian.org>  Sat, 05 Apr 2014 14:23:12 +0200

torsocks (2.0.0~rc6-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules now that documentation has moved.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 17 Mar 2014 21:39:12 +0100

torsocks (2.0.0~rc3-1) experimental; urgency=low

  * New upstream release.
  * Drop now obsolete patches.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 05 Nov 2013 10:05:13 +0100

torsocks (2.0.0~rc2-3) experimental; urgency=low

  * Add a patch to fix a deadlock in getpeername() error path.
  * Add a patch to add compatibility with GNU/kFreeBSD.
  * Add a patch to fix build on s390(x) architectures.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 24 Oct 2013 21:12:36 +0200

torsocks (2.0.0~rc2-2) experimental; urgency=low

  * Remove Pre-Depends on dpkg as its already satisfied in oldstable,
    as pointed by intrigeri.
  * Add a patch to prevent running tests that require network access.
  * Add a patch to fix undefined syscall values for x86.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 23 Oct 2013 12:43:14 +0200

torsocks (2.0.0~rc2-1) experimental; urgency=low

  * Upload new torsocks rewrite to experimental.
  * Update debian/copyright.
  * Adapt installation cleanup phase to the new upstream version.
  * Remove get-orig-source from debian/rules as we use pristine-tar.
  * Do not ship upstream changelog twice.
  * Gracefully handle the move of torsocks.conf from /etc to /etc/tor.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 22 Oct 2013 22:24:57 +0200

torsocks (1.3-3) unstable; urgency=low

  * Reorder Makefile targets.
  * Remove obsolete Lintian override.
  * Add missing entry in debian/copyright.
  * Add debian/watch file to monitor new upstream tags.
  * Don't call rm with -f in override_dh_auto_install.

 -- intrigeri <intrigeri@debian.org>  Thu, 09 May 2013 11:55:28 +0200

torsocks (1.3-2) unstable; urgency=low

  * Update Homepage control field.
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Tue, 07 May 2013 11:35:33 +0200

torsocks (1.3-1) experimental; urgency=low

  * New upstream release:
    - Fix "not found in any shared library". (Closes: #636943)
    - Fix invocation without arguments, only spawn a shell when called
      with "--shell". (Closes: #684577)
    - Display correct error message when the wrapped program cannot be
      found in $PATH.
    - Fix typos in manpage. (Closes: #683358)
    - First stab at ensuring IPv6 connections are dropped on the floor.
  * Drop all patches, they were applied upstream.
  * Update specification URL in debian/copyright.
  * Bump Standards-Version to 3.9.3, no change required.
  * Drop obsolete Lintian override.
  * Remove obsolete watch file.
  * Don't include buildflags.mk by hand, debhelper v9 does it.
  * Don't cleanup not shipped .la file.
  * Drop obsolete --enable-socksdns configure flag.

 -- intrigeri <intrigeri@debian.org>  Sat, 23 Feb 2013 12:54:25 +0100

torsocks (1.2-3) unstable; urgency=low

  * Take over this package, in agreement with Patrick.
    Thanks a lot, Patrick, for having maintained torsocks in Debian for years.
  * Add Lunar as an uploader.
  * New patches:
    - Try harder to find symbols instead of complaining (Closes: #636943).
    - Display correct error message when the wrapped program cannot be found
      in $PATH.
  * Convert debian/rules to dh7 tiny rules format.
  * Use dh-autoreconf.
  * Switch to dpkg-buildflags for hardening.
  * Don't ship the libtorsocks.la file.
  * Convert debian/copyright to DEP5 format.
  * Fix spelling of SOCKS in short and long descriptions.
  * Override Lintian false positives.
  * Add Vcs-Git and Vcs-Browser control fields, pointing to collab-maint.

 -- intrigeri <intrigeri@debian.org>  Sun, 05 Feb 2012 22:22:09 +0100

torsocks (1.2-2) unstable; urgency=low

  * Fix debian/watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:18:21 +0100

torsocks (1.2-1) unstable; urgency=low

  * New upstream release.
    Closes: #647097
    - Unresolved symbol warnings should be realy gone now.
      Closes: #636943
    - Connect to hidden service should work now.
      Closes: #642220
    - Remove wrong installed files from usr/share/.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Nov 2011 11:12:56 +0100

torsocks (1.1+git20110826-1) unstable; urgency=low

  * New upstream git snapshot from 26.08.2011.
    - This should fix the unresolved symbol warnings.
      Closes: #636943
  * Wrap control lines.
  * Add missing build-arch and build-indep target.
  * Comment out dependency_libs from .la files.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 23:15:09 +0200

torsocks (1.1-4) unstable; urgency=low

  * Add zsh completion.
    Closes: #620016
  * Add bash completion.
    Closes: #620017

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 11:37:43 +0200

torsocks (1.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:37:22 +0200

torsocks (1.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 20:55:33 +0100

torsocks (1.1-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Fix debian/watch to deal with the dash from upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 15 Dec 2010 13:32:25 +0100

torsocks (1.0~epsilon+dfsg1-1) unstable; urgency=high

  * New upstream release.
    - Drop all patches, they have been merged in this release.
  * Create a dfsg tarball and remove the non-free doc/SOCKS5-rfc1928.txt file
    from it. Bump urgency to high.
    Closes: #558118
  * Mangle the dfsg part in debian/watch.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 26 Nov 2009 18:45:49 +0100

torsocks (1.0~delta-1) unstable; urgency=low

  * Initial release.
    Closes: #554717

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 08 Nov 2009 11:54:46 +0100
